Generate LookupTableRevisionData Upload URL
Generate a URL which can be used to upload a data file for creating or updating the Lookup Table Revision’s data:
- An upload URL is returned together with an UPLOAD
jobId. - You can then upload your data file using a PUT request using the returned upload URL as the endpoint. For the PUT request, map the headers returned and their values and in the request body select the specified CSV or JSONL file containing the Revision Data to upload.
- You can use the returned UPLOAD
jobIdwith the List LookupTableRevisionData Jobs or the Get LookupTableRevisionData Job Response endpoints for any follow-up or troubleshooting.
Important:
- The
contentLengthrequest parameter is required. - The upload URL is time limited - it is valid for one minute.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the Organization. The Organization represents your company as a direct customer of the m3ter service.
UUID of the Lookup Table.
UUID of the Lookup Table Revision.
Body
Request containing the file details when generating an upload URL
The name of the file to be uploaded.
1 - 100application/jsonl, text/csv The size of the file body in bytes. For example: "contentLength": 485, where 485 is the size in bytes of the file to upload.
1 <= x <= 104857600Version of the Lookup Table Revision Data.